Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.blockmodel
Class GraphCollapser.UndirectedCollapsedEdge

    java.lang.Object
      edu.uci.ics.jung.utils.UserDataDelegate
          edu.uci.ics.jung.graph.impl.AbstractElement
              edu.uci.ics.jung.graph.impl.AbstractArchetypeEdge
                  edu.uci.ics.jung.graph.impl.AbstractSparseEdge
                      edu.uci.ics.jung.graph.impl.UndirectedSparseEdge
                          edu.uci.ics.jung.algorithms.blockmodel.GraphCollapser.UndirectedCollapsedEdge

All Implemented Interfaces:
  ArchetypeEdge, Cloneable, Edge, Element, GraphCollapser.CollapsedEdge, UndirectedEdge, UserDataContainer

Enclosing class:
  GraphCollapser

public static class GraphCollapser.UndirectedCollapsedEdge
extends UndirectedSparseEdge
implements GraphCollapser.CollapsedEdge

This class represents a Collapsed Undirected edge, and extends UndirectedSparseEdge.

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.impl.AbstractSparseEdge
`mFrom, mTo`

Fields inherited from class edu.uci.ics.jung.graph.impl.AbstractElement
`id, m_Graph`

Fields inherited from class edu.uci.ics.jung.utils.UserDataDelegate
`factory, udc_delegate`

Constructor Summary
`GraphCollapser.UndirectedCollapsedEdge(Vertex opposite, Vertex superVertex, Set relevantEdges)`

Method Summary
`Set` | `getRelevantEdges()`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractSparseEdge
`copy, getEndpoints, getIncidentVertices, getOpposite, isIncident, numVertices, toString`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractArchetypeEdge
`equals, getEqualEdge, getEquivalentEdge, getIncidentElements`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractElement
`addGraph_internal, getGraph, hashCode, initialize, removeGraph_internal`

Methods inherited from class edu.uci.ics.jung.utils.UserDataDelegate
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDataFactory, setUserDatum`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.graph.Edge
`getEndpoints, getOpposite`

Methods inherited from interface edu.uci.ics.jung.graph.ArchetypeEdge
`copy, getEqualEdge, getEquivalentEdge, getIncidentVertices, isIncident, numVertices`

Methods inherited from interface edu.uci.ics.jung.graph.Element
`getGraph, getIncidentElements`

Methods inherited from interface edu.uci.ics.jung.utils.UserDataContainer
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDatum`

Constructor Detail

### GraphCollapser.UndirectedCollapsedEdge

    public GraphCollapser.UndirectedCollapsedEdge(Vertex opposite,
                                                  Vertex superVertex,
                                                  Set relevantEdges)

Method Detail

### getRelevantEdges

    public Set getRelevantEdges()

  Specified by:
    `getRelevantEdges` in interface `GraphCollapser.CollapsedEdge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD